Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.subscription
Class DurableSubscription

    java.lang.Object
      org.jboss.messaging.core.ChannelSupport
          org.jboss.messaging.core.local.Pipe
              org.jboss.messaging.core.local.CoreSubscription
                  org.jboss.jms.server.subscription.Subscription
                      org.jboss.jms.server.subscription.DurableSubscription

All Implemented Interfaces:
  Channel, DeliveryObserver, Distributor, Receiver

public class DurableSubscription
extends Subscription

A DurableSubscription.

Version:
  $Revision: 1.3 $ $Id: DurableSubscription.java,v 1.3 2006/06/27 19:44:39 timfox Exp $
Author:
  Tim Fox

Field Summary
`protected java.lang.String` | `clientID`
`protected java.lang.String` | `name`

Fields inherited from class org.jboss.messaging.core.local.CoreSubscription
`filter, topic`

Fields inherited from class org.jboss.messaging.core.ChannelSupport
`channelID, mm, ms, pm, router, state`

Constructor Summary
`DurableSubscription(long id, Topic topic, MessageStore ms, PersistenceManager pm, MemoryManager mm, int fullSize, int pageSize, int downCacheSize, Selector selector, boolean isNoLocal, java.lang.String name, java.lang.String clientID)`

Method Summary
`java.lang.String` | `getClientID()`
`java.lang.String` | `getName()`
`void` | `unsubscribe()`

Methods inherited from class org.jboss.jms.server.subscription.Subscription
`getSelector, isNoLocal`

Methods inherited from class org.jboss.messaging.core.local.CoreSubscription
`connect, disconnect, getTopic, handle, load, toString`

Methods inherited from class org.jboss.messaging.core.ChannelSupport
`acceptReliableMessages, acknowledge, add, browse, browse, cancel, clear, close, contains, deliver, deliver, deliver, getChannelID, getMessageStore, isRecoverable, iterator, obtainReference, processMessageBeforeStorage, remove, removeAllMessages`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### clientID

    protected java.lang.String clientID

Constructor Detail

### DurableSubscription

    public DurableSubscription(long id,
                               Topic topic,
                               MessageStore ms,
                               PersistenceManager pm,
                               MemoryManager mm,
                               int fullSize,
                               int pageSize,
                               int downCacheSize,
                               Selector selector,
                               boolean isNoLocal,
                               java.lang.String name,
                               java.lang.String clientID)

Method Detail

### getName

    public java.lang.String getName()

### getClientID

    public java.lang.String getClientID()

### unsubscribe

    public void unsubscribe()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.